//-----------------------------------------------------------------------------
// File:	Const.h
//
// Desc:	Constant memory layout of the vertex shader
//			used in RacorX.cpp and specular.vsh
//
// Copyright (c) 2002 wolf@direct3d.net All rights reserved.
//-----------------------------------------------------------------------------
#define CLIP_MATRIX			0
#define CLIP_MATRIX_1		1
#define CLIP_MATRIX_2		2
#define CLIP_MATRIX_3	    3

#define INVERSE_WORLD_MATRIX	    8
#define INVERSE_WORLD_MATRIX_1	    9
#define INVERSE_WORLD_MATRIX_2	    10

#define LIGHT_VECTOR	    11
#define EYE_VECTOR		    12		
#define SPEC_POWER			13
#define SPEC_COLOR			14
#define DIFFUSE_COLOR		15


